# Filters added to this controller will be run for all controllers in the application.
# Likewise, all the methods added will be available for all controllers.
class ApplicationController < ActionController::Base
  before_filter :set_charset
  model :cart
  model :line_item

  private

  def redirect_to_index(msg = nil)
    flash[:notice] = msg if msg
    redirect_to(:action => 'index')
  end

  def authorize
    unless session[:user_id]
      flash[:notice] = "ログインしてください"
      redirect_to(:controller => "login", :action => "login")
    end
  end

  def set_charset
    headers["Content-Type"] = "text/html; charset=utf-8"
  end
end
