class LoginController < ApplicationController
  layout "admin"
  before_filter :authorize, :except => :login
  def index
    @total_orders = Order.count
    @pending_orders = Order.count_pending
  end
  def login
    if request.get?
      session[:user_id] = nil
      @user = User.new
    else
      @user = User.new(params[:user])
      logged_in_user = @user.try_to_login
      if logged_in_user
        session[:user_id] = logged_in_user.id
        redirect_to(:action => "index")
      else
        flash[:notice] = "ユーザ/パスワードの組み合わせが無効です"
      end
    end
  end
  def add_user
    if request.get?
      @user = User.new
    else
      @user = User.new(params[:user])
      if @user.save
        redirect_to_index("ユーザ #{@user.name} が作成されました")
      end
    end
  end
  def delete_user
    id = params[:id]
    if id && user = User.find(id)
      begin
        user.destroy
        flash[:notice] = "ユーザ #{user.name} が削除されました"
      rescue
        flash[:notice] = "ユーザを削除できません"
      end
    end
    redirect_to(:action => :list_users)
  end
  def list_users
    @all_users = User.find(:all)
  end
  def logout
    session[:user_id] = nil
    flash[:notice] = "ログアウトしました"
    redirect_to(:action => "login")
  end
end
