class StoreController < ApplicationController

  def index
    @products = Product.salable_items
  end
  def add_to_cart
    product = Product.find(params[:id])
    @cart = find_cart
    @cart.add_product(product)
    redirect_to(:action => 'display_cart')
  rescue
    logger.error("無効な商品 #{params[:id]} にアクセスしようとしました")
    redirect_to_index('無効な商品です')
  end
  def display_cart
    @cart = find_cart
    @items = @cart.items
    if @items.empty?
      redirect_to_index("現在、カートには商品が入っていません")
    end
    if params[:context] == :checkout
      render(:layout => false)
    end
  end
  def empty_cart
    @cart = find_cart
    @cart.empty!
    redirect_to_index('カートが空になりました')
  end
  def checkout
    @cart = find_cart
    @items = @cart.items
    if @items.empty?
      redirect_to_index("カートに商品が入っていません！")
    else
      @order = Order.new
    end
  end
  def save_order
    @cart = find_cart
    @order = Order.new(params[:order])
    @order.line_items << @cart.items
    if @order.save
      @cart.empty!
      redirect_to_index('ご注文ありがとうございました。')
    else
      render(:action => 'checkout')
    end
  end
  private
  def find_cart
    session[:cart] ||= Cart.new
  end
end
