class Order < ActiveRecord::Base
  has_many :line_items
  PAYMENT_TYPES = [
    [ "小切手",             "check" ],
    [ "クレジットカード",   "cc" ],
    [ "購入注文書",         "po" ]
  ].freeze    # freezeによって、この配列の値の変更を禁止する
  validates_presence_of :name, :email, :address, :pay_type
  def self.pending_shipping
    find(:all, :conditions => "shipped_at is null")
  end
  def mark_as_shipped
    self.shipped_at = Time.now
  end
  def self.count_pending
    count("shipped_at is null")
  end
end
